Skip to main content
GET
https://prod-api.raisedonors.com
/
api
/
Project
/
{projectId}
/
donors
List Project Donors
curl --request GET \
  --url https://prod-api.raisedonors.com/api/Project/{projectId}/donors \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": 123,
      "firstName": "<string>",
      "lastName": "<string>",
      "name": "<string>",
      "isOrganization": true,
      "forms": [
        "<string>"
      ],
      "phone": "<string>",
      "address": {
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal": "<string>",
        "countryString": "<string>",
        "addressTypeDisplay": "<string>",
        "id": 123,
        "donorId": 123,
        "isPrimary": true
      },
      "giftAmount": 123,
      "giftSum": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

projectId
integer<int64>
required

The ID of the project.

Query Parameters

Filter
string
Skip
integer<int32>
Take
integer<int32>
SortBy
enum<string>

Field to sort by (case-insensitive). Valid options: code, donoramount, giftamount, id, isactive, name, raisedamount, status

Available options:
code,
donoramount,
giftamount,
id,
isactive,
name,
raisedamount,
status
Descending
boolean
IncludeDetails
boolean

Response

OK

items
object[]
total
integer<int32>
Last modified on June 5, 2026